package com.cku.model;

import java.math.BigDecimal;
import java.util.Date;

public class CkuUser {
    private String id;

    private String payStatus;

    private String memberNum;

    private String webMember;

    private String name;

    private String nameSpelling;

    private String gender;

    private Date birthday;

    private String idNum;

    private String contactAddress;

    private String postCode;

    private String telephone;

    private String mobilePhone;

    private String fax;

    private String email;

    private String regMemberNum;

    private String regBreedingNum;

    private Date regData;

    private String memberType;

    private String payDetail;

    private Date memberBeginTime;

    private Date memberDeadlineTime;

    private String regBy;

    private Date modifiDate;

    private String delTag;

    private String qslzTag;

    private Date qslzTime;

    private String deliveryWay;

    private String certifiDeliveryWay;

    private String noticeDeliveryWay;

    private String province;

    private String city;

    private String street;

    private String qq;

    private String mrusertype;

    private Date mrusertime;

    private String ckuuserphoto;

    private String recommender;

    private Date telTime;

    private String isnewuser;

    private Date ssJstime;

    private String qydusertype;

    private Date qydusertime;

    private String ckuClub;

    private String ckuCardtype;

    private BigDecimal payin;

    private BigDecimal payout;

    private BigDecimal yue1;

    private BigDecimal yue2;

    private Date groomerEndDate;

    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus == null ? null : payStatus.trim();
    }

    public String getMemberNum() {
        return memberNum;
    }

    public void setMemberNum(String memberNum) {
        this.memberNum = memberNum == null ? null : memberNum.trim();
    }

    public String getWebMember() {
        return webMember;
    }

    public void setWebMember(String webMember) {
        this.webMember = webMember == null ? null : webMember.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getNameSpelling() {
        return nameSpelling;
    }

    public void setNameSpelling(String nameSpelling) {
        this.nameSpelling = nameSpelling == null ? null : nameSpelling.trim();
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender == null ? null : gender.trim();
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public String getIdNum() {
        return idNum;
    }

    public void setIdNum(String idNum) {
        this.idNum = idNum == null ? null : idNum.trim();
    }

    public String getContactAddress() {
        return contactAddress;
    }

    public void setContactAddress(String contactAddress) {
        this.contactAddress = contactAddress == null ? null : contactAddress.trim();
    }

    public String getPostCode() {
        return postCode;
    }

    public void setPostCode(String postCode) {
        this.postCode = postCode == null ? null : postCode.trim();
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone == null ? null : telephone.trim();
    }

    public String getMobilePhone() {
        return mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone == null ? null : mobilePhone.trim();
    }

    public String getFax() {
        return fax;
    }

    public void setFax(String fax) {
        this.fax = fax == null ? null : fax.trim();
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email == null ? null : email.trim();
    }

    public String getRegMemberNum() {
        return regMemberNum;
    }

    public void setRegMemberNum(String regMemberNum) {
        this.regMemberNum = regMemberNum == null ? null : regMemberNum.trim();
    }

    public String getRegBreedingNum() {
        return regBreedingNum;
    }

    public void setRegBreedingNum(String regBreedingNum) {
        this.regBreedingNum = regBreedingNum == null ? null : regBreedingNum.trim();
    }

    public Date getRegData() {
        return regData;
    }

    public void setRegData(Date regData) {
        this.regData = regData;
    }

    public String getMemberType() {
        return memberType;
    }

    public void setMemberType(String memberType) {
        this.memberType = memberType == null ? null : memberType.trim();
    }

    public String getPayDetail() {
        return payDetail;
    }

    public void setPayDetail(String payDetail) {
        this.payDetail = payDetail == null ? null : payDetail.trim();
    }

    public Date getMemberBeginTime() {
        return memberBeginTime;
    }

    public void setMemberBeginTime(Date memberBeginTime) {
        this.memberBeginTime = memberBeginTime;
    }

    public Date getMemberDeadlineTime() {
        return memberDeadlineTime;
    }

    public void setMemberDeadlineTime(Date memberDeadlineTime) {
        this.memberDeadlineTime = memberDeadlineTime;
    }

    public String getRegBy() {
        return regBy;
    }

    public void setRegBy(String regBy) {
        this.regBy = regBy == null ? null : regBy.trim();
    }

    public Date getModifiDate() {
        return modifiDate;
    }

    public void setModifiDate(Date modifiDate) {
        this.modifiDate = modifiDate;
    }

    public String getDelTag() {
        return delTag;
    }

    public void setDelTag(String delTag) {
        this.delTag = delTag == null ? null : delTag.trim();
    }

    public String getQslzTag() {
        return qslzTag;
    }

    public void setQslzTag(String qslzTag) {
        this.qslzTag = qslzTag == null ? null : qslzTag.trim();
    }

    public Date getQslzTime() {
        return qslzTime;
    }

    public void setQslzTime(Date qslzTime) {
        this.qslzTime = qslzTime;
    }

    public String getDeliveryWay() {
        return deliveryWay;
    }

    public void setDeliveryWay(String deliveryWay) {
        this.deliveryWay = deliveryWay == null ? null : deliveryWay.trim();
    }

    public String getCertifiDeliveryWay() {
        return certifiDeliveryWay;
    }

    public void setCertifiDeliveryWay(String certifiDeliveryWay) {
        this.certifiDeliveryWay = certifiDeliveryWay == null ? null : certifiDeliveryWay.trim();
    }

    public String getNoticeDeliveryWay() {
        return noticeDeliveryWay;
    }

    public void setNoticeDeliveryWay(String noticeDeliveryWay) {
        this.noticeDeliveryWay = noticeDeliveryWay == null ? null : noticeDeliveryWay.trim();
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province == null ? null : province.trim();
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city == null ? null : city.trim();
    }

    public String getStreet() {
        return street;
    }

    public void setStreet(String street) {
        this.street = street == null ? null : street.trim();
    }

    public String getQq() {
        return qq;
    }

    public void setQq(String qq) {
        this.qq = qq == null ? null : qq.trim();
    }

    public String getMrusertype() {
        return mrusertype;
    }

    public void setMrusertype(String mrusertype) {
        this.mrusertype = mrusertype == null ? null : mrusertype.trim();
    }

    public Date getMrusertime() {
        return mrusertime;
    }

    public void setMrusertime(Date mrusertime) {
        this.mrusertime = mrusertime;
    }

    public String getCkuuserphoto() {
        return ckuuserphoto;
    }

    public void setCkuuserphoto(String ckuuserphoto) {
        this.ckuuserphoto = ckuuserphoto == null ? null : ckuuserphoto.trim();
    }

    public String getRecommender() {
        return recommender;
    }

    public void setRecommender(String recommender) {
        this.recommender = recommender == null ? null : recommender.trim();
    }

    public Date getTelTime() {
        return telTime;
    }

    public void setTelTime(Date telTime) {
        this.telTime = telTime;
    }

    public String getIsnewuser() {
        return isnewuser;
    }

    public void setIsnewuser(String isnewuser) {
        this.isnewuser = isnewuser == null ? null : isnewuser.trim();
    }

    public Date getSsJstime() {
        return ssJstime;
    }

    public void setSsJstime(Date ssJstime) {
        this.ssJstime = ssJstime;
    }

    public String getQydusertype() {
        return qydusertype;
    }

    public void setQydusertype(String qydusertype) {
        this.qydusertype = qydusertype == null ? null : qydusertype.trim();
    }

    public Date getQydusertime() {
        return qydusertime;
    }

    public void setQydusertime(Date qydusertime) {
        this.qydusertime = qydusertime;
    }

    public String getCkuClub() {
        return ckuClub;
    }

    public void setCkuClub(String ckuClub) {
        this.ckuClub = ckuClub == null ? null : ckuClub.trim();
    }

    public String getCkuCardtype() {
        return ckuCardtype;
    }

    public void setCkuCardtype(String ckuCardtype) {
        this.ckuCardtype = ckuCardtype == null ? null : ckuCardtype.trim();
    }

    public BigDecimal getPayin() {
        return payin;
    }

    public void setPayin(BigDecimal payin) {
        this.payin = payin;
    }

    public BigDecimal getPayout() {
        return payout;
    }

    public void setPayout(BigDecimal payout) {
        this.payout = payout;
    }

    public BigDecimal getYue1() {
        return yue1;
    }

    public void setYue1(BigDecimal yue1) {
        this.yue1 = yue1;
    }

    public BigDecimal getYue2() {
        return yue2;
    }

    public void setYue2(BigDecimal yue2) {
        this.yue2 = yue2;
    }

	public Date getGroomerEndDate() {
		return groomerEndDate;
	}

	public void setGroomerEndDate(Date groomerEndDate) {
		this.groomerEndDate = groomerEndDate;
	}
    
	private String avatar;		// 现在用于显示证件照，头像等信息请参考用户的user表

	public String getAvatar() {
		return avatar;
	}

	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}
	
}